Redmine - Defect #7272

Mercurial test repository not compatible with old hg versions
2011-01-10 18:47 - Jean-Philippe Lang

Status: Closed Start date: 2011-01-10
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

The recently committed mercurial repository can not be read with old mercurial versions. For example, I'm getting the following error
with hg 1.3:

abort: requirement 'dotencode' not supported!

In r4676, | replaced the tar.gz fixture with a hg bundle and adapted the rake task to setup the test repository. Tested with hg 1.3 and
1.7.

Toshi, can you check that it's OK?

Associated revisions

Revision 4683 - 2011-01-11 05:18 - Toshi MARUYAMA

scm: mercurial: test:scm:setup:mercurial task can be simpler (#7272).

Revision 4687 - 2011-01-11 09:41 - Toshi MARUYAMA

scm: mercurial: fix r4686 setup mercurial test repository (#7272).

If redmine top directory has .hg, "hg clone" synchronizes all revisions to test repository.

History

#1 - 2011-01-10 23:38 - Toshi MARUYAMA

1 will check.

#2 - 2011-01-11 01:06 - Toshi MARUYAMA

http://mercurial.selenic.com/wiki/UpgradingMercurial#Upgrading_and_downgrading_repository formats

1. For compatibility with hg < 1.7 (Nov 2010): 'hg clone --config format.dotencode=False --pull’
2. For compatibility with hg < 1.1 (Dec 2008): 'hg clone --config format.usefncache=False --pull’
3. For compatibility with hg < 0.9.4 (Jun 2007): 'hg clone --config format.usestore=False --pull'

#3 - 2011-01-11 01:46 - Toshi MARUYAMA

r4676 is great idea.
| confirmed source:trunk/test/fixtures/repositories/mercurial_repository.hg@4676 is compatible with Mercurial 1.0.

hg clone -U http://selenic.com/repo/hg hg-stable
cd hg-stable

hg update 1.0

make local

$ LANG=C ./hg --version

Mercurial Distributed SCM (version 1.0)

O i 0

$ LANG=C /somewhere/hg-stable/hg unbundle ../mercurial_repository.hg
/somewhere/hg-stable/mercurial/demandimport.py:46: DeprecationWarning: the sha module is deprecated; use the h
ashlib module instead

mod = _origimport (head, globals, locals)
adding changesets
adding manifests
adding file changes
added 17 changesets with 24 changes to 13 files (+2 heads)
(run 'hg heads' to see heads, 'hg merge' to merge)

#4 - 2011-01-11 02:14 - Toshi MARUYAMA

| confirmed that Mercurial 1.0 can access this repository.

$ cat .hg/requires

revlogvl
store

$ LANG=C /somewhere/hg-stable/hg tip

changeset:
tag:
parent:
user:
date:
summary:

16:4cddbd4ed5£52

tip

6:7fab6ce80d87

jsmith <jsmith@foo.bar>

Sat Jan 01 00:00:00 2000 +0900

Added tag tag-init-revision for changeset 0885933ad4f6

#5 - 2011-01-28 12:59 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Fixed by r4683 and r4687.

2024-05-11

22


https://www.redmine.org/projects/redmine/repository/svn/revisions/4683
https://www.redmine.org/projects/redmine/repository/svn/revisions/4687
http://www.tcpdf.org

